import java.io.*;

/** Klasse zum einlesen eines PersonenFiles
  *
  * @author Bernhard Fiser 0109815
  * @version 1.0
  */

public class PersonenFileReader
{

        private String		filename;
        private BufferedReader	br;

	/** Object erstellen und Filename speichern */
        public PersonenFileReader(String filename)
        {
                this.filename = filename;
        }

	/** Personenfile ffnen */
        public void open() throws IOException
        {
                br = new BufferedReader(new InputStreamReader(new FileInputStream(filename)));
        }

	/** Nchstes Personenelement aus File auslesen, Personenobject
	 * erstellen und zurckgeben */
        public Person readNext() throws IOException
        {
                String	vorname;
                String	famname;
                String	salter;
		int	alter;

		/* 3 Zeilen lesen und zuweisen, vorname, famname, salter */
                if ((vorname = br.readLine()) == null)
			return(null);
                if ((famname = br.readLine()) == null)
			return(null);
                if ((salter = br.readLine()) == null)
			return(null);

		/* String Alter in Integer umwandeln */
                try
                {
                        alter = Integer.parseInt(salter);
                }

                catch (NumberFormatException e)
                {
                        System.out.println("fehler im int\n");
                        return null;
                }

		/* Personenobject erstellen und an aufrufendes Programm zurckgeben */
                return (new Person(vorname, famname, alter));
        }

	/* Personenfile schlieen */
        public void close() throws IOException
        {
                br.close();
        }
}

